//
// Created by kikab on 04.06.2018.
//

#ifndef LOTRO_DAT_LIBRARY_DATEXPORTER_H
#define LOTRO_DAT_LIBRARY_DATEXPORTER_H

extern "C++" {
namespace LOTRO_DAT {
    class DatFile;

    class DatExporter {
    public:
        DatExporter() = delete;
        DatExporter(const DatExporter &other) = delete;
        DatExporter& operator=(const DatExporter &other) = delete;
        ~DatExporter() = default;

        explicit DatExporter(DatFile *datFilePtr);

    private:
        DatFile *dat;

    };
}
};

#endif //LOTRO_DAT_LIBRARY_DATEXPORTER_H
